/*
    charsetdetective -- detect the encoding/charset of file(s)
    Copyright (C) 1998 Netscape Communications Corporation
    Copyright (C) 2003 Stephane Corbe <noubi@users.sourceforge.net>
    Copyright (C) 2009 Eugene Reimer <ereimer@shaw.ca>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <stdlib.h>
#include <stdio.h>

typedef signed long	PRInt32;
typedef unsigned long	PRUint32;
typedef signed short	PRInt16;
typedef unsigned short	PRUint16;
typedef signed char	PRInt8;
typedef unsigned char	PRUint8;
typedef unsigned int	PRUintn;
typedef char		PRBool;

#define PR_FALSE	0
#define PR_TRUE		1
#define nsnull		0			//ER: was NULL

#define PR_MALLOC	malloc
#define PR_FREEIF	free


#define NS_ASSERTION(a,b) { if (!(a)) { puts(b); abort(); } }
